From: Sven Eckelmann <sven@narfation.org>
Date: Mon, 8 Feb 2010 10:33:54 +0100
Subject: Identify modules by the ending .so instead of .la

.la files were stripped of the debs to fulfill the release goal
https://wiki.debian.org/ReleaseGoals/LAFileRemoval but the plugin loader of
libg3d tries to identify plugins by their libtool archive.
---
 src/plugins.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/plugins.c b/src/plugins.c
index 31624e3..f8d282b 100644
--- a/src/plugins.c
+++ b/src/plugins.c
@@ -89,7 +89,7 @@ static gboolean plugins_loaddirectory(G3DContext *context,
 #ifdef G_OS_WIN32
 		if(g_strcasecmp(filename + strlen(filename) - 4, ".dll") == 0) {
 #else
-		if(g_strcasecmp(filename + strlen(filename) - 3, ".la") == 0) {
+		if(g_strcasecmp(filename + strlen(filename) - 3, ".so") == 0) {
 #endif
 			plugin = g_new0(G3DPlugin, 1);
 
@@ -214,7 +214,7 @@ static G3DPlugin *plugins_magic_lookup(G3DContext *context,
 	if((type == NULL) || (strlen(type) == 0))
 		return NULL;
 
-	name = g_strdup_printf("imp_%s.la", type);
+	name = g_strdup_printf("imp_%s.so", type);
 	for(item = context->plugins; item != NULL; item = item->next) {
 		tp = (G3DPlugin *)item->data;
 		if(tp->type != G3D_PLUGIN_IMPORT)
